$AdfDhtmlShowDetailHeaderPeer$$.$_SUB_ID_MAP$ = {disclosure_icon:"_afrDscl"};
$AdfDhtmlShowDetailHeaderPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlShowDetailHeaderPeer$$$$$GetSubIdDomElement$$($subElementId$$64$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$64$$);
  if ("text" == $subElementId$$64$$) {
    return $AdfDhtmlShowDetailHeaderPeer$$.$superclass$.$GetSubIdDomElement$.call(this, $subElementId$$64$$);
  }
  var $component$$2470$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($subElementId$$64$$, $AdfDhtmlShowDetailHeaderPeer$$.$_SUB_ID_MAP$, $component$$2470$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailHeaderPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlShowDetailHeaderPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlShowDetailHeaderPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlShowDetailHeaderPeer$$$$$GetBestMatchSubId$$($childElement$$36$$) {
  var $text$$52$$ = $AdfDhtmlShowDetailHeaderPeer$$.$superclass$.$GetBestMatchSubId$.call(this, $childElement$$36$$);
  return null != $text$$52$$ ? $text$$52$$ : $AdfSubIdUtils$$.$getBestMatchSubId$($childElement$$36$$, this, $AdfDhtmlShowDetailHeaderPeer$$.$_SUB_ID_MAP$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailHeaderPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlShowDetailHeaderPeer$$.prototype.$GetBestMatchSubId$});
